#!/usr/bin/env bash

envdir=${1}

channels=(-c https://fsl.fmrib.ox.ac.uk/fsldownloads/fslconda/development/
          -c https://fsl.fmrib.ox.ac.uk/fsldownloads/fslconda/public/
          -c conda-forge)

conda create -y ${channels[@]}   \
      -p ./${envdir}             \
      "python=${PYTHON_VERSION}" \
      pytest                     \
      coverage                   \
      pytest-cov                 \
      fsl-avwutils               \
      fsl-pyfix                  \
      file-tree file-tree-fsl    \
      fsl_sub                    \
      fsl_sub_plugin_slurm       \
      fsl_sub_plugin_sge

source activate ${envdir}
pip install dmri-amico
pip install git+https://git.fmrib.ox.ac.uk/ndcn0236/pipe-tree.git
pip install git+https://git.fmrib.ox.ac.uk/fsl/gradunwarp.git

# CREATE DOCKER IMAGE
